Package org.drinkless.tdlib

# Class TdApi.UpdateChatReplyMarkup

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateChatReplyMarkup

Enclosing class:
  TdApi

public static class TdApi.UpdateChatReplyMarkup extends TdApi.Update
The default chat reply markup was changed. Can occur because new messages with reply markup were received or because an old reply markup was hidden by the user.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `replyMarkupMessageId`
  Identifier of the message from which reply markup needs to be used; 0 if there is no default custom reply markup in the chat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateChatReplyMarkup()`
  The default chat reply markup was changed.
  `UpdateChatReplyMarkup(long chatId, long replyMarkupMessageId)`
  The default chat reply markup was changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### replyMarkupMessageId

    public long replyMarkupMessageId
    Identifier of the message from which reply markup needs to be used; 0 if there is no default custom reply markup in the chat.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateChatReplyMarkup

    public UpdateChatReplyMarkup()
    The default chat reply markup was changed. Can occur because new messages with reply markup were received or because an old reply markup was hidden by the user.

  - ### UpdateChatReplyMarkup

    public UpdateChatReplyMarkup(long chatId, long replyMarkupMessageId)
    The default chat reply markup was changed. Can occur because new messages with reply markup were received or because an old reply markup was hidden by the user.
    Parameters:
      `chatId` - Chat identifier.
      `replyMarkupMessageId` - Identifier of the message from which reply markup needs to be used; 0 if there is no default custom reply markup in the chat.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR